package com.brilliance.isc.common.setgll.service;

import com.brilliance.isc.common.setgll.vo.SetgllVo;
import com.brilliance.isc.common.setmod.vo.SetmodVo;
import com.brilliance.mda.runtime.mda.impl.Argument;

import java.util.List;

public interface SetgllService {


    String calcMac(SetgllVo setgll, SetmodVo setmod);

    void recalcSetgll(SetgllVo setgll, SetmodVo setmod);

    void cnvAmtAccamt(SetgllVo setgll);

    void defdsp(SetgllVo setgll, SetmodVo setmod);

    void defActSub(SetgllVo setgll, SetmodVo setmod);

    void getTxt(SetgllVo setgll, SetmodVo setmod);

    void getTxt1(SetgllVo setgll, SetmodVo setmod);

    void getTxt2(SetgllVo setgll);

    List getAvailAccts(SetgllVo setgll, SetmodVo setmod);

    void getRelevantRtgRol(SetgllVo setgllVo, String argDsp, Argument<String> argRol);

    void setActtrmtypAndActflg(SetgllVo setgll);
}
